## OMA Send Selection OMA Send Selection |

## Functions

QmiMessageOmaSendSelectionInput * | qmi_message_oma_send_selection_input_new ()
QmiMessageOmaSendSelectionInput * | qmi_message_oma_send_selection_input_ref ()
void | qmi_message_oma_send_selection_input_unref ()
gboolean | qmi_message_oma_send_selection_input_get_network_initiated_alert_selection ()
gboolean | qmi_message_oma_send_selection_input_set_network_initiated_alert_selection ()
QmiMessageOmaSendSelectionOutput * | qmi_message_oma_send_selection_output_ref ()
void | qmi_message_oma_send_selection_output_unref ()
gboolean | qmi_message_oma_send_selection_output_get_result ()
void | qmi_client_oma_send_selection ()
QmiMessageOmaSendSelectionOutput * | qmi_client_oma_send_selection_finish ()

## Types and Values

| QmiMessageOmaSendSelectionInput
| QmiMessageOmaSendSelectionOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageOmaSendSelectionInput
        ╰── QmiMessageOmaSendSelectionOutput

## Description

## Functions

### qmi_message_oma_send_selection_input_new ()

    QmiMessageOmaSendSelectionInput *
    qmi_message_oma_send_selection_input_new
                                   (void);

Allocates a new QmiMessageOmaSendSelectionInput.

#### Returns

the newly created QmiMessageOmaSendSelectionInput. The returned value should be freed with `qmi_message_oma_send_selection_input_unref()`.

### qmi_message_oma_send_selection_input_ref ()

    QmiMessageOmaSendSelectionInput *
    qmi_message_oma_send_selection_input_ref
                                   (QmiMessageOmaSendSelectionInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageOmaSendSelectionInput. |

#### Returns

the new reference to `self` .

### qmi_message_oma_send_selection_input_unref ()

    void
    qmi_message_oma_send_selection_input_unref
                                   (QmiMessageOmaSendSelectionInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageOmaSendSelectionInput. |

### qmi_message_oma_send_selection_input_get_network_initiated_alert_selection ()

    gboolean
    qmi_message_oma_send_selection_input_get_network_initiated_alert_selection
                                   (QmiMessageOmaSendSelectionInput *self,
                                    gboolean *value_network_initiated_alert_selection_control_point_selection_accept,
                                    guint16 *value_network_initiated_alert_selection_session_id,
                                    GError **error);

Get the 'Network Initiated Alert Selection' field from `self` .

#### Parameters

self | a QmiMessageOmaSendSelectionInput. |
value_network_initiated_alert_selection_control_point_selection_accept | a placeholder for the output gboolean, or `NULL` if not required. |
value_network_initiated_alert_selection_session_id | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_oma_send_selection_input_set_network_initiated_alert_selection ()

    gboolean
    qmi_message_oma_send_selection_input_set_network_initiated_alert_selection
                                   (QmiMessageOmaSendSelectionInput *self,
                                    gboolean value_network_initiated_alert_selection_control_point_selection_accept,
                                    guint16 value_network_initiated_alert_selection_session_id,
                                    GError **error);

Set the 'Network Initiated Alert Selection' field in the message.

#### Parameters

self | a QmiMessageOmaSendSelectionInput. |
value_network_initiated_alert_selection_control_point_selection_accept | a gboolean. |
value_network_initiated_alert_selection_session_id | a guint16. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_oma_send_selection_output_ref ()

    QmiMessageOmaSendSelectionOutput *
    qmi_message_oma_send_selection_output_ref
                                   (QmiMessageOmaSendSelectionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageOmaSendSelectionOutput. |

#### Returns

the new reference to `self` .

### qmi_message_oma_send_selection_output_unref ()

    void
    qmi_message_oma_send_selection_output_unref
                                   (QmiMessageOmaSendSelectionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageOmaSendSelectionOutput. |

### qmi_message_oma_send_selection_output_get_result ()

    gboolean
    qmi_message_oma_send_selection_output_get_result
                                   (QmiMessageOmaSendSelectionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageOmaSendSelectionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_client_oma_send_selection ()

    void
    qmi_client_oma_send_selection (QmiClientOma *self,
                                   QmiMessageOmaSendSelectionInput *input,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a Send Selection request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_oma_send_selection_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientOma. |
input | a QmiMessageOmaSendSelectionInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_oma_send_selection_finish ()

    QmiMessageOmaSendSelectionOutput *
    qmi_client_oma_send_selection_finish (QmiClientOma *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_oma_send_selection()`.

#### Parameters

self | a QmiClientOma. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_oma_send_selection()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageOmaSendSelectionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_oma_send_selection_output_unref()`.

## Types and Values

### QmiMessageOmaSendSelectionInput

    typedef struct _QmiMessageOmaSendSelectionInput QmiMessageOmaSendSelectionInput;

The QmiMessageOmaSendSelectionInput structure contains private data and should only be accessed using the provided API.

### QmiMessageOmaSendSelectionOutput

    typedef struct _QmiMessageOmaSendSelectionOutput QmiMessageOmaSendSelectionOutput;

The QmiMessageOmaSendSelectionOutput structure contains private data and should only be accessed using the provided API.